неофициальный блог

Замечательные возможности Skype

Действие этой версии Skype скоро прекратится

Как сообщается на официальном блоге, начиная с 1 марта 2017 старые версии Skype для Windows и Mac OS X перестанут работать, и больше не позволят пользователям авторизоваться до тех пор, пока они не обновят программу. Под старыми версиями для Windows имеется в виду 7.16 и ниже, когда для Mac OS X — до версии 7.18, включительно.

Пользователям этих версий уже показывается следующее уведомление:
Действие этой версии Skype скоро прекратится
Обновите Skype сейчас. Действие этой версии Skype скоро прекратится. Чтобы продолжить использовать Skype, обновите версию до последней. Обновить сейчас бесплатно.

Кстати, пока не подтверждено официально, но согласно этой теме в сообществе Skype, не исключено что Skype 4.3.0.37 для Linux также перестанет поддерживаться. [UPD 05.02.2017] Хорошие новости! В Skype опровергли это заявление.

9 комментариев

  1. 0 0 0
    Сергей,
    Я хочу разговаривать по скайпу.
  2. 0 0 0
    Дмитрий,
    Я не стану обновлять скайп, даже если это означает попрощаться со всеми кто в нём останется. Быть может есть обходные пути использования старых версий?
    1. 1 +1 0
      радж,
      Ни за что не хочу обновить свою версию скайпа,даже если останусь без скайпа!
  3. 0 0 0
    суслик,
    5.7 - 7.5 пока работают...

    [Добавлено 2 мар 2017 в 08:51]
    Хотя может, если я разлогинюсь, то обратно уже не попаду. Проверять пока не рискую. Но то, что Linux версию оставили, значит, что протокол старый сохранят и наверное можно будет в случае чего просто пропатчить старую версию на 7.17 и выше (как это уже делалось, когда отключили версии по 6.13). Но деобфусцированный экзешник, пригодный для этого существует только максимум к версии 6.16, а там картинки не поддерживаются (вроде только с 6.20 и выше).

    Выход в любом случае должен быть, и будет, я уверен. )
    1. 1 +1 0
      Администратор,
      Сегодня началось Отключение от сети из-за использования устаревшей версией Skype. Поэтому, не рекомендую рисковать (хотя можно попробовать скопировать профиль Скайпа в другом месте и попробовать экспериментировать).
      1. 2 +2 0
        суслик,
        Да, так и сделал (скопировал папки Documents and Settings\%User%\Application Data\Skype и \%User%\Local Settings\Application Data\Skype в другое место, а после экспериментов вернул обратно). У меня XP, в более новых ОС пути другие, какие именно уточняйте сами.

        Не разлогинивался, поэтому у меня все пока работает и так. Кто разлогинился, алгоритм восстановления сессии такой же, как было с версиями по 6.13. Т.е. нужно авторизоваться в одной из поддерживаемых версий (7.17 и выше), поставить галочку напротив пункта "Автом. авторизация при запуске скайп", а потом запустить старую.

        При этом можно сделать полную установку новой версии, удалить ее и опять установить старую (файлы профиля при этом никуда не денутся), а можно просто подложить в папку C:\Program Files\Skype\Phone экзешник от новой версии, переименовав его, например, в Skype7.17.exe и логиниться через него, ничего не переустанавливая. Вытащить из дистрибутива его можно, запустив установщик с ключом /extractonly:"c:\123".

        Таким образом параллельно со своей 6.16 я, например, запускаю и пользуюсь версиями 5.7.0.123 (последняя, поддерживающая html-теги), 6.1.999.130 (последняя, поддерживающая видеосвязь на компах без SSE2) и 7.5.0.102 (последняя в принципе работающая версия на компах без SSE2).

        Но совсем старые версии, такие как 3.8 и ниже, запускать таким образом не рекомендую, т.к. может захламиться история, например, в ней могут появиться дубли "событий"-звонков, и не очень понятно подгружаются ли они из каких-то отдельных файлов старого формата (файлы с расширением .dbb), и тогда при их удалении эти записи-дубли должны исчезнуть (пока не проверял просто) или они слились с main.db капитально.

        Но я этот способ с новыми версиями не тестировал, т.к. у меня процессор не поддерживает SSE2 инструкции и максимальная версия, которую я могу поставить на свой комп, 7.5.0.102. Поэтому в моем случае работает способ, о котором я говорил выше, т.е. пропатчивание т.н. "деобфусцированного" экзешника от версии 6.16 на версию 7.17.0.104 или выше и подкладывание его в папку C:\Program Files\Skype\Phone для авторизации.

        Т.е. ищем в сети файл skype6x_deob.exe (качаем только из доверенных источников, чтобы не подхватить вирусы), открываем его в любом hex-редакторе (я использовал WinHex), делаем поиск по "6.16.0.105" без кавычек, отметив в параметрах поиска опцию Unicode и заменяем самое первое вхождение на 7.17.0.104.

        Теперь сохраняем изменения, кладем полученный файл в папку C:\Program Files\Skype\Phone, авторизуемся в скайп, не забыв отметить опцию "Автом. авторизация при запуске скайп" и перезапускаем основную установленную старую версию (6.21 или какой вы обычно пользуетесь).

        Деобфусцированные экзешники (по крайней мере из публично доступных) существуют максимально только до версии 6.16.0.105, но авторы (кто они и как их найти не скажу, т.к. это все как бы нелегально) на платной основе принимают заказы на распаковку и других версий. Т.е. можно скинуться и попросить их деобфусцировать экзешник от популярной версии 6.21, например, и потом пользоваться ей как есть, без лишнего гемора с авторизацией.

        Или возможно, что кто-нибудь сумеет пропатчить и обычные экзешники, но в них похоже стоит проверка целостности файла (то ли потому что они запакованы) и после любых изменений они оказываются неработоспособными.

        Данные об авторизации (вместе с настройками скайпа), если что, хранятся в файле C:\Documents and Settings\%User%\Application Data\Skype\%skype_profile%\config.xml.
        1. 1 +1 0
          Администратор,
          Как всегда, спасибо за развернутые комментарии!! (bow)

          Ещё вчера проверил на Windows XP — рядом с 7.32 положил 6.1.999.130: звонки и сообщения работают без проблем.
          1. 0 0 0
            суслик,
            А, ну вот, значит и наоборот можно. Поставить самую последнюю, а старую рядом, в виде exe файла. ) Видеозвонки тоже работают (как раз в этой версии 6.1.999.130 у меня).
            1. 0 0 0
              Администратор,
              Мне кажется, держать «skype_6.1.999.130.exe» рядом с «Skype.exe» намного удобнее чем наоборот, поскольку в любой момент можно обновить Скайп до последней версии и при необходимости авторизоваться.

              Да, подтверждаю, видеозвонки работают в 6.1.999.130 (правда, тестировал на процессоре с поддержкой SSE2). Кстати, а Вы не тестировали установщик SkypeSetupFullXp.exe? Может магическим образом тоже работает...

Добавить новый комментарий

Комментарии проверяются администратором и могут не сразу появляться на сайте.
Имя:
Емайл:
Хотите получать оповещения о новых комментариях?
Если вы активируйте оповещения, вы сможете в любой момент отказаться о них.
Прежде чем начать получать оповещения, придётся подтвердить, что указанный емайл принадлежит вам.
Сообщение:
Оценка страницы: